#
# spec file for package
#
# Copyright (c) 2010 Dominique Leuenberger, Amsterdam, Netherlands.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           dcatools
Version:        0.0.5.82
Release:        17.2
License:        GPL
Summary:        a free DTS Coherent Acoustics decoder
Group:          Productivity/Multimedia/Other
Source:         libdca-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Packager: 	Dominique Leuenberger <dominique-rpm@leuenberger.net>

%description
libdca is a free library for decoding DTS Coherent Acoustics streams.
The code is written by Gildas Bazin and was based on the a52dec project.
It is released under the terms of the GPL license.

%prep
%setup -q -n libdca-%{version}

%package -n libdca0
Summary:        DTS Coherent Acoustics Decoder
Group:          Development/Libraries/C and C++
Obsoletes:      libdca

%description -n libdca0
The library, to be installed by dependencies normally

%package -n libdca-devel
Summary:        libdca Headers and library
Group:          Development/Libraries/C and C++
Requires:       libdca0 = %{version}

%description -n libdca-devel
Development files to link against libdca

%build
./bootstrap
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir}
make %{?jobs:-j %jobs}


%install
%makeinstall

%clean
rm -rf %{buildroot}

%post -n libdca0 -p /sbin/ldconfig

%postun -n libdca0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/dcadec
%{_bindir}/extract_dca
%{_mandir}/man1/*dec.1.gz
%{_mandir}/man1/extract_*.1.gz
%{_bindir}/dtsdec
%{_bindir}/extract_dts

%files -n libdca0
%defattr(-,root,root)
%{_libdir}/libdca.so.0
%{_libdir}/libdca.so.0.0.0

%files -n libdca-devel
%defattr(-,root,root)
%{_includedir}/dts.h
%{_libdir}/libdca.la
%{_libdir}/libdca.so
%{_libdir}/libdts.a
%{_libdir}/pkgconfig/libdca.pc
%{_includedir}/dca.h
%{_libdir}/libdca.a
%{_libdir}/pkgconfig/libdts.pc

%changelog
* Tue Apr 27 2010 dimstar@opensuse.org
- BuildRequire pkg-config
- Move the ldconfig call to the subpackage's post(un) scripts.
